# SoClipPlane Class Reference
[Nodes]

`#include <Inventor/nodes/SoClipPlane.h>`

Inheritance diagram for SoClipPlane:

List of all members.

## Detailed Description

The SoClipPlane class is a node type for specifying clipping planes.

A scene graph without any SoClipPlane nodes uses six clipping planes to define the viewing frustum: top, bottom, left, right, near and far. If you want extra clipping planes for "slicing" the visible geometry, you can do that by using nodes of this type. Geometry on the back side of the clipping plane is clipped away.

Note that OpenGL implementations have a fixed maximum number of clipping planes available. To find out what this number is, you can use the following code:

          #include <Inventor/elements/SoGLClipPlaneElement.h>
          // ...[snip]...
          int maxplanes = SoGLClipPlaneElement::getMaxGLPlanes();

## Public Member Functions

| SoClipPlane (void)
virtual void | doAction (SoAction *action)
virtual void | GLRender (SoGLRenderAction *action)
virtual void | callback (SoCallbackAction *action)
virtual void | pick (SoPickAction *action)

## Static Public Member Functions

void | initClass (void)

## Public Attributes

SoSFPlane | plane
SoSFBool | on

## Protected Member Functions

virtual | ~SoClipPlane ()

## Constructor & Destructor Documentation

SoClipPlane::SoClipPlane | ( | void |  | ) |

| Constructor.

SoClipPlane::~SoClipPlane | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoClipPlane::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoNode. Reimplemented in SoClipPlaneManip.

void SoClipPlane::doAction | ( | SoAction * | action | ) | `[virtual]`

| This function performs the typical operation of a node for any action. Reimplemented from SoNode. Reimplemented in SoClipPlaneManip.

void SoClipPlane::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoNode. Reimplemented in SoClipPlaneManip.

void SoClipPlane::callback | ( | SoCallbackAction * | action | ) | `[virtual]`

| Action method for SoCallbackAction. Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph. Reimplemented from SoNode. Reimplemented in SoClipPlaneManip.

void SoClipPlane::pick | ( | SoPickAction * | action | ) | `[virtual]`

| Action method for SoPickAction. Does common processing for SoPickAction action instances. Reimplemented from SoNode. Reimplemented in SoClipPlaneManip.

## Member Data Documentation

SoSFPlane SoClipPlane::plane

| Definition of clipping plane. Geometry on the back side of the clipping plane is clipped away.

SoSFBool SoClipPlane::on

| Whether clipping plane should be on or off. Defaults to `TRUE`.

The documentation for this class was generated from the following files:

- SoClipPlane.h
- SoClipPlane.cpp